%define _disable_ld_no_undefined 1

%define	major		2
%define	libname		%mklibname %{name} %{major}
%define	devname		%mklibname %{name} -d

%define	fsresize_major	0
%define	libfsresize	%mklibname %{name}-fs-resize %{fsresize_major}

Summary:	Flexible partitioning tool
Name:		parted
Version:	3.1
Release:	7
License:	GPLv3+
Group:		System/Configuration/Hardware
Url:		http://www.gnu.org/software/parted/
Source0:	http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz.sig
#Fedora patches
Patch0:		parted-3.0-libparted-copy-pmbr_boot-when-duplicating-GPT-disk.patch
Patch1:		parted-3.1-libparted-check-PMBR-before-GPT-partition-table-8052.patch
Patch2:		parted-3.1-tests-add-t0301-overwrite-gpt-pmbr.sh.patch
Patch3:		parted-3.1-libparted-Fix-endian-error-with-FirstUsableLBA.patch
Patch4:		parted-2.1-libparted-use-dm_udev_wait-698121.patch
Patch5:		parted-3.1-libparted-use-largest_partnum-in-dm_reread_part_tabl.patch
Patch6:		parted-3.1-test-creating-20-device-mapper-partitions.patch
Patch7:		parted-3.1-libparted-preserve-the-uuid-on-dm-partitions.patch
Patch8:		parted-3.1-tests-Make-sure-dm-UUIDs-are-not-erased.patch
Patch9:		parted-3.1-libparted-reallocate-buf-after-_disk_analyse_block_s.patch
Patch10:	parted-3.1-tests-cleanup-losetup-usage.patch
Patch11:	parted-3.1-libparted-add-support-for-implicit-FBA-DASD-partitions.patch
Patch12:	parted-3.1-libparted-add-support-for-EAV-DASD-partitions.patch
Patch13:	parted-3.1-libparted-don-t-canonicalize-dev-md-paths.patch
Patch14:	parted-3.1-libparted-mklabel-eav.patch
Patch15:	parted-3.1-avoid-dasd-as-default-file-image-type.patch
Patch16:	parted-3.1-libparted-mklabel-edev.patch
Patch17:	parted-3.1-tests-rewrite-t6001-to-use-dev-mapper.patch
Patch18:	parted-3.1-libparted-Support-Linux-fs-GUID.patch
Patch19:	parted-3.1-libparted-Recognize-btrfs-filesystem.patch
#Ours
Patch20:	parted-3.1-readline6.3.patch
BuildRequires:	texinfo
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(uuid)
Requires:	e2fsprogs

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%files -f %{name}.lang
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The parted library
Group:		Development/C

%description -n %{libname}
This package includes the dynamic libraries.

%files -n %{libname}
%doc TODO
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libfsresize}
Summary:	The parted fs-resize library
Group:		Development/C

%description -n %{libfsresize}
This package includes the dynamic libraries.

%files -n %{libfsresize}
%{_libdir}/lib%{name}-fs-resize.so.%{fsresize_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files required to compile software that uses libparted
Group:		Development/C
Requires:	e2fsprogs
Requires:	%{libname} = %{EVRD}
Requires:	%{libfsresize} = %{EVRD}
Provides:	parted-devel = %{EVRD}

%description -n %{devname}
This package includes the header files and libraries needed to
link software with libparted.

%files -n %{devname}
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%check
export PATH=$PATH:/sbin
make check

%changelog
* Tue Jul 22 2014 abondrov <andrey.bondrov@rosalab.ru> 3.1-7
+ Revision: 925137f
- Add patch to fix build with readline 6.3, spec cleanup


